<template>
  <div class="indexPage">
    <div class="Top"><Top /></div>
    <div
      class="Bottom"
      :style="`height:calc(100% - ${hideTools ? '40px' : '128px'}); `"
    >
      <Viewer />
    </div>
  </div>
</template>

<script>
import baseVuex from "@mixin/baseVuex";
import Viewer from "@/components/map/Viewer";
import Top from "@/components/top/Top";

export default {
  name: "index",
  components: {
    Viewer,
    Top,
  },
  mixins: [baseVuex],
  data() {
    return {};
  },
  mounted() {},
};
</script>

<style scoped lang="less">
.indexPage {
  width: 100%;
  height: 100%;
  overflow: hidden;
}
.Bottom {
  width: 100%;
}
.Top {
  width: 100%;
}
</style>
